Monitoring - Retrieve Widgets For Entity
Hiermee worden de widgets voor het dashboard en de entiteit opgehaald. OPMERKING: Dit ondersteunt alleen het ophalen van widgets voor een prestatiedashboard.
GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/entity/{entityId}
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
Geef de dashboard-ID op |
|
entity
|
path | True |
string |
Geef de entiteits-id op |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. De widgets voor het dashboard en de entiteit zijn opgehaald. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveWidgets
Voorbeeldaanvraag
GET http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/entity/b39822ed-0efd-b8e0-9ac4-968b5de725ab
Voorbeeldrespons
[
{
"id": "b39822ed-0efd-b8e0-9ac4-968b5de725ab",
"name": "performance windows",
"description": null,
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": "HtmlPerformanceWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"selectedLegends\":[\"Target\",\"Path\",\"LastValue\"],\"visualizeObjectsByPerformance\":false},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"All Windows Computers\",\"path\":null,\"fullName\":\"Microsoft.SystemCenter.AllComputersGroup\",\"objectType\":-1}]},\"criteria\":{\"timeRange\":{\"timeValue\":24,\"timeUnit\":\"Hours\"},\"performanceCounters\":[]}},\"widgetRefreshInterval\":5}"
}
]
Definities
ComponentResponse
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Onderdeeltype |
| config |
string |
configuratie |
| description |
string |
Beschrijving van de component |
| id |
string |
ID-kaart |
| mpId |
string |
MP-ID van onderdeel |
| name |
string |
Onderdeelnaam |